EDIT - feature request #7095

Implement Character Matrix
11/27/2017 11:47 AM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.13

Severity: normal

Description

Related issues:

Related to EDIT - feature request #7165: Extend TaxonNodeFilter with rank fil...
Related to EDIT - feature request #7166: Implement area filter for TaxonNodeF...

Related to EDIT - feature request #7193: Implement area filter and rank filte...

Has duplicate EDIT - feature request #7090: Implement matrix editor

Closed
Closed
New
Duplicate

Associated revisions

Revision 926f488d - 11/27/2017 11:47 AM - Patrick Plitzner

ref #7095 Initial import of character matrix

Revision cb531fce - 11/28/2017 11:56 AM - Patrick Plitzner

ref #7095 Enhance label in matrix editor

Revision dad46cd9 - 11/28/2017 11:57 AM - Patrick Plitzner

ref #7095 Remove version number nattable dependency

Revision 32956411 - 11/30/2017 05:09 PM - Patrick Plitzner
ref #7095 Open character matrix with WS as input

Revision 695a18b1 - 12/01/2017 11:07 AM - Patrick Plitzner

ref #7095 Add editor capabilities to character matrix editor

Revision 0fb2e02c - 12/01/2017 11:54 AM - Patrick Plitzner

ref #7095 Make matrix editable vie DetailsView

Revision ef323259 - 12/01/2017 01:15 PM - Patrick Plitzner
ref #7095 Add display converter to matrix editor

Revision 5ba3be88 - 12/01/2017 01:25 PM - Patrick Plitzner
ref #7095, #7086 Persist WS with descriptions

Revision 0c3bc93e - 12/02/2017 05:29 PM - Patrick Plitzner
ref #7095 add excel export

Revision fa33762c - 12/04/2017 06:34 AM - Patrick Plitzner

ref #7095 Add column sorting to character matrix

Revision cdc03e6f - 12/06/2017 12:27 PM - Patrick Plitzner

ref #7095 use grid region label to set display converter for cells

Revision 6b8fbb9a - 12/08/2017 03:53 PM - Patrick Plitzner
ref #7095 Implement combo box editor for categorical data

Revision 9987a696 - 12/11/2017 07:57 AM - Patrick Plitzner

ref #7095 Remove unnecessary editor configuration

Revision 8707c0a4 - 12/11/2017 09:15 AM - Patrick Plitzner

ref #7095 Implement prototypical quantitative data cell editor

Revision be252334 - 12/12/2017 10:43 AM - Patrick Plitzner
ref #7095 package restructuring

Revision d44ef0c2 - 12/12/2017 12:57 PM - Patrick Plitzner
ref #7086, #7095 Implement working set navigator

Revision 8079fdb3 - 12/12/2017 03:41 PM - Patrick Plitzner
ref #7086, #7095 Added "Open in..." menu for WS and matrix editor

Revision 242a513c - 12/12/2017 05:54 PM - Patrick Plitzner

ref #7095 Create quantitative cell editor following statistical measures

Revision fd14dd4d - 12/12/2017 06:03 PM - Patrick Plitzner
ref #7095 Add unit to column header of quant. data

Revision c42c7bec - 12/13/2017 01:28 PM - Patrick Plitzner

ref #7095 Handle dirty state of character matrix when editing

Revision 4fbf8f87 - 12/13/2017 09:01 PM - Patrick Plitzner

ref #7095 Add non-editable additional columns with extra info to matrix

Revision 0f91178a - 12/14/2017 11:49 AM - Patrick Plitzner

ref #7095 minor refactoring

Revision 177963a7 - 12/14/2017 12:20 PM - Patrick Plitzner

ref #7095 Wrap descriptions for performance optimization

Revision d8bd1bdc - 12/14/2017 12:55 PM - Patrick Plitzner
ref #7095 Add display converter for supplemental info

Revision d860133d - 12/14/2017 02:21 PM - Patrick Plitzner

ref #7095 Add context menu to hide/show columns and open config dialog

Revision 0b9b379c - 12/15/2017 01:38 PM - Patrick Plitzner
ref #7095 Add persistence support for nattable state

Revision 0b9319bd - 12/15/2017 04:15 PM - Patrick Plitzner

ref #7095 Persist table state when disposing character matrix editor

Revision 1016796d - 12/18/2017 09:01 AM - Patrick Plitzner

ref #7095 Ul enhancements

Revision 8b9ba8aa - 12/18/2017 11:25 AM - Patrick Plitzner
ref #7086, #7095 Re-enable working set navigator

Revision 3231ece8 - 12/18/2017 11:26 AM - Patrick Plitzner
ref #7095 error logging

Revision 84a21bc7 - 12/18/2017 04:43 PM - Patrick Plitzner
ref #7095 Fire empty selection for multiple selected cells

Revision b09559de - 12/19/2017 10:51 AM - Patrick Plitzner
ref #7095 Re-enable export button

Revision 72a04ac6 - 12/19/2017 01:45 PM - Patrick Plitzner
ref #7086, #7095 Add create/delete handler to WS navigator

Revision f5¢d2391 - 01/03/2018 10:39 AM - Patrick Plitzner

ref #7095 Remove view configuration from header menus

Revision 456b89bd - 01/03/2018 03:00 PM - Patrick Plitzner
ref #7095 Add descriptions via button to matrix

Revision 8de0560f - 01/03/2018 05:48 PM - Patrick Plitzner
ref #7086, #7095 Add descriptions to WS initially in matrix editor

Revision e738¢599 - 01/04/2018 03:06 PM - Patrick Plitzner
ref #7095 Add summary row to top of grid

Revision e1cddd46 - 01/05/2018 12:36 PM - Patrick Plitzner
ref #7086, #7095 Add WS perspective

e initializse WS navigator when connected to data source

Revision 9f59b397 - 01/05/2018 12:46 PM - Patrick Plitzner
ref #7086, #7095 minor WS perspective changes

Revision 034d4a6a - 01/05/2018 12:47 PM - Patrick Plitzner

ref #7095 Add categorical data support for summary row

Revision 8281257 - 01/05/2018 01:06 PM - Patrick Plitzner
ref #7086, #7095 minor WS perspective changes

Revision 02746e7f - 01/05/2018 04:34 PM - Patrick Plitzner

ref #7095 Fix session problems

e |oad WS with property path to avoid multiple representation exception

Revision acdb1584 - 01/10/2018 12:43 PM - Patrick Plitzner
ref #7095 Filter by rank when adding descriptions

Revision df66a39e - 01/11/2018 07:12 AM - Patrick Plitzner
ref #7095 Add tooltip to excel export button

Revision b888fe27 - 01/11/2018 08:14 AM - Patrick Plitzner

ref #7095 Sync state selection in combo and PersistenceDialog

Revision 66832abf - 01/11/2018 08:44 AM - Patrick Plitzner
ref #7095 add label for default viewConfiguration

Revision 68df4af3 - 01/11/2018 09:02 AM - Patrick Plitzner
ref #7095 add label to toolbar

Revision 582a319d - 01/12/2018 02:13 PM - Patrick Plitzner

ref #7095 use TaxonNodeFilter for specimen selection dialog

Revision bfda4dd3 - 01/15/2018 07:19 AM - Patrick Plitzner
ref #7095 Implement specimen generator to test for huge data sets

Revision 25d7c42f - 01/15/2018 08:56 AM - Patrick Plitzner
ref #7095 Fix potential exception

Revision 06a6a1c5 - 01/15/2018 10:24 AM - Patrick Plitzner
ref #7086, #7095 Fix potential class cast exception

Revision 83bfd759 - 01/15/2018 11:48 AM - Patrick Plitzner
ref #7086, #7095 Enhance error message

Revision 5dec2f7a - 01/15/2018 03:15 PM - Patrick Plitzner
ref #7095 Fix potential NPE

Revision 281b1abd - 01/15/2018 03:17 PM - Patrick Plitzner
ref #7095 Fix potential NPE

Revision 11a2a751 - 01/15/2018 03:18 PM - Patrick Plitzner

ref #7095 specimen generator changes

Revision 7af3e5a6 - 01/15/2018 05:12 PM - Patrick Plitzner
ref #7086, #7095 Adapt to cdm model changes

Revision 9523526d - 01/16/2018 01:44 PM - Patrick Plitzner
ref #7086, #7095 Make setter public

Revision 3327fba3 - 01/16/2018 01:45 PM - Patrick Plitzner

ref #7095 Fix area filter concatenation

Revision 1d98fd63 - 01/16/2018 01:47 PM - Patrick Plitzner

ref #7086, #7095 Show menu item only in experimental mode

Revision 63e51¢c67 - 01/16/2018 03:39 PM - Patrick Plitzner
ref #7086, #7095 Adapt working set navigator to work with WorkingSets

Revision 44261f2e - 01/17/2018 07:43 AM - Patrick Plitzner

ref #7095 Fix area filter concatenation

Revision 43e47dc8 - 01/17/2018 08:12 AM - Patrick Plitzner
ref #7095 Add missing import

Revision 63a76a60 - 01/17/2018 08:50 AM - Patrick Plitzner

ref #7095 Enhance specimen selection dialog Ul

Revision 806114a3 - 01/17/2018 09:01 AM - Patrick Plitzner

ref #7095 Fix search configurator for specimen selection

Revision 1dfcb0a6 - 01/17/2018 09:16 AM - Patrick Plitzner

ref #7095 Filter out specimens that are already added

Revision 6ff2e71e - 01/18/2018 12:04 PM - Patrick Plitzner

ref #7095 Cache specimens for specimen selection dialog

Revision faéc7d4c - 01/18/2018 11:49 PM - Patrick Plitzner
ref #7086, #7095 Add refresh button to WS navigator

Revision 34d19b7b - 01/19/2018 11:06 AM - Patrick Plitzner
ref #7086, #7095 Fix handler setup for refresh in ES navigator

Revision 43d417f5 - 01/22/2018 06:46 AM - Patrick Plitzner

ref #7095 Show taxon node hierarchy in matrix (experimental)

Revision 368703af - 01/22/2018 10:16 AM - Patrick Plitzner

ref #7095 sort tree hierarchy via taxon names

Revision e28f6b05 - 01/22/2018 11:55 AM - Patrick Plitzner
ref #7095 Fix possible NPE

Revision f8da7861 - 01/22/2018 04:00 PM - Patrick Plitzner

ref #7095 Init description elements when activating cell editor

Revision 65611564 - 01/23/2018 11:05 AM - Patrick Plitzner
ref #7095 Refactoring

e Extracted DescriptionTreeFormat class to own class file

Revision 7f1d6816 - 01/23/2018 01:48 PM - Patrick Plitzner

ref #7095 Optimize aggregation and display of description elements

Revision 4ca3e4f3 - 01/23/2018 06:04 PM - Patrick Plitzner

ref #7095 correctly sort tree hierarchy via taxon nodes sort prefs

Revision dbee9b8f - 01/24/2018 05:21 PM - Patrick Plitzner
ref #7095 Add expand/collapse button

Revision 16725f1e - 01/25/2018 07:11 PM - Patrick Plitzner
ref #7095 Disable sorting

Revision 38c05df2 - 01/25/2018 07:11 PM - Patrick Plitzner

ref #7095 Limit node hierarchy by maxRank of corresponding working set

Revision 354b2131 - 01/25/2018 07:11 PM - Patrick Plitzner
ref #7095 Add functionality to toggle between tree and flat list

Revision d657d3eb - 01/25/2018 07:11 PM - Patrick Plitzner

ref #7095 Disable cell editors for taxon node rows

Revision b2128023 - 01/25/2018 07:11 PM - Patrick Plitzner

ref #7095 Extract row comparator to own class file

Revision f04201c7 - 01/25/2018 07:11 PM - Patrick Plitzner

ref #7095 Fix multiple add buttons when switching between views

Revision cdaa188f - 01/25/2018 07:11 PM - Patrick Plitzner

ref #7095 Refresh scroll bars after changing views

Revision c895abf3 - 01/26/2018 08:22 AM - Patrick Plitzner

ref #7095 Fix view configuration handler

e some code cleanup

Revision 84093d41 - 01/26/2018 10:40 AM - Patrick Plitzner
ref #7095 Style enhancements

Revision 64ed19fc - 01/26/2018 10:52 AM - Patrick Plitzner
ref #7095 Disable selection propagation for supplemental info columns

Revision ¢59d0b17 - 01/26/2018 11:14 AM - Patrick Plitzner

ref #7095 Adjust context menu based on view state

Revision de639281 - 01/26/2018 01:45 PM - Patrick Plitzner

ref #7095 Increase header font size

Revision 35ba1a56 - 01/29/2018 04:58 PM - Patrick Plitzner

ref #7095 Format enhancement for quantitative data

® unit shown in abbreviation
* min/max shown as range

Revision 6a8d9d7f - 01/30/2018 01:41 PM - Patrick Plitzner

ref #7095 Cache description elements in row wrapper for performance

Revision fa64d0c0 - 01/30/2018 01:41 PM - Patrick Plitzner

ref #7095 Fix min/max representation

Revision 5b799d10 - 01/30/2018 01:41 PM - Patrick Plitzner

ref #7095 minor performance tweak when setting values

Revision fcd7713d - 01/30/2018 01:41 PM - Patrick Plitzner
ref #7095 Fix initalization problems by deproxying

Revision 6b3711bc - 01/30/2018 01:41 PM - Patrick Plitzner
ref #7095 Overhauled categorical data cell editor

e encapsulated data fetching and storing in RowWrapper
¢ simplified data accesion by caching States in RowWrapper

Revision a3782e5c¢ - 01/30/2018 02:46 PM - Patrick Plitzner
ref #7095 Fix aggragation of state data

Revision a082b7db - 02/01/2018 03:20 PM - Patrick Plitzner
ref #7095 Add nattable repository to pom.xml

Revision a953e2c0 - 02/05/2018 11:08 AM - Patrick Plitzner

ref #7095 remove unused class

Revision 06ab7f53 - 02/05/2018 11:08 AM - Patrick Plitzner
ref #7095 Add javadoc

Revision b8e5d702 - 02/05/2018 11:08 AM - Patrick Plitzner

ref #7095 use model method for setting state data

Revision 19fc4473 - 02/05/2018 11:08 AM - Patrick Plitzner

ref #7095 Freeze/stick supplemental info columns

¢ Add button for unfreezing

Revision 7d199d04 - 02/05/2018 11:08 AM - Patrick Plitzner
ref #7095 Fix imports

Revision fa088716 - 02/05/2018 11:08 AM - Patrick Plitzner

ref #7095, #7086 Check classification uniqueness of sub tree filter

e fix imports
Revision 6f3152d1 - 02/05/2018 02:17 PM - Patrick Plitzner

ref #7095 Refactor freeze columns functionality

e switch lock icon when freezing

Revision ad6b50ba - 02/05/2018 04:52 PM - Patrick Plitzner

ref #7095 Refactor character matrix

¢ split e4 part and nattable widgets in two classes

Revision 7b053201 - 02/05/2018 05:53 PM - Patrick Plitzner
ref #7095 Code cleanup

Revision ed759ab1 - 02/06/2018 10:19 AM - Patrick Plitzner
ref #7095 Fix order of Ul elements

Revision 985f42a7 - 02/06/2018 10:24 AM - Patrick Plitzner

ref #7095 Enforce visual refresh when toggling list and tree view

Revision fe8e3d53 - 02/06/2018 10:41 AM - Patrick Plitzner
ref #7095 Keep frozen flag when toggling views

Revision 87abc2b1 - 02/07/2018 11:01 AM - Patrick Plitzner
ref #7095, #7086 i18n

Revision 3d6f9d14 - 02/19/2018 06:27 AM - Patrick Plitzner
ref #7095 Fix potential NPE

Revision 78159887 - 02/19/2018 06:27 AM - Patrick Plitzner

ref #7095 Dirty fix for categorical dropdown size

Revision 34c889c9 - 02/26/2018 03:52 PM - Patrick Plitzner

ref #7095 Fix column error when no unit was chosen for a quant. feature

Revision eb990cca - 03/26/2018 03:25 PM - Patrick Plitzner
ref #7095 Include unpublished taxa in WS node filter

Revision 7efcfaee - 03/26/2018 03:43 PM - Patrick Plitzner

ref #7095 Fix possible class cast exception

Revision 248d15d9 - 03/27/2018 03:49 PM - Patrick Plitzner
ref #7095 Add remove description button

Revision 6a65a580 - 03/28/2018 04:02 PM - Patrick Plitzner

ref #7095 Fix convenience method for CategoricalData

Revision 5a9a799e - 03/28/2018 04:03 PM - Patrick Plitzner
ref #7095 Disable DetailsView for CharacterMatrix

Revision 9f8¢c59b4 - 03/28/2018 04:04 PM - Patrick Plitzner
ref #7095 Simplify RowWrapper getDataValueForFeature()

Revision fb028abd - 03/28/2018 04:06 PM - Patrick Plitzner

ref #7095 documentation

Revision 8dcaccaf - 04/09/2018 11:39 AM - Patrick Plitzner

ref #7095 Fix summary for CategoricalData
Revision d80468ec - 04/09/2018 04:30 PM - Patrick Plitzner

ref #7095 Disable summary for supplemental columns

Revision 7029881a - 04/10/2018 03:51 PM - Patrick Plitzner

ref #7095 Change taxon column label

Revision 1245cdd8 - 04/10/2018 04:31 PM - Patrick Plitzner

ref #7095 Change taxon column cell text depending on tree/list view

Revision 09b45523 - 04/11/2018 07:48 AM - Patrick Plitzner

ref #7095 Add taxon filter combo to specimen selection dialog

Revision 5cea1626 - 04/11/2018 07:48 AM - Patrick Plitzner

ref #7095 Implement generic abstract combo class

Revision 3fe2a4b6 - 04/11/2018 09:39 AM - Patrick Plitzner

ref #7095 Sort feature columns according to FeatureTree

Revision 0df7b52d - 04/11/2018 02:21 PM - Patrick Plitzner

ref #7095 Show tabular info in specimen selection dialog

Revision 835¢1454 - 04/11/2018 02:22 PM - Patrick Plitzner

ref #7095 Fix label representation for taxon combo

Revision 71ef005a - 04/12/2018 08:40 AM - Patrick Plitzner
ref #7095 Add text filter to specimen selection dialog

Revision 46d40a62 - 04/12/2018 09:03 AM - Patrick Plitzner

ref #7095 some Ul enhancements

Revision c4010fc2 - 04/12/2018 04:41 PM - Patrick Plitzner

ref #7095 Fill matrix asynchronously

Revision c0918c7c - 04/12/2018 04:41 PM - Patrick Plitzner
ref #7095 Refactor RowWrapper

Revision 353f7dda - 04/16/2018 08:48 AM - Patrick Plitzner
ref #7095 Increase performance of specimen selection dialog

® |oading with property path
® pre-caching of taxon node label

Revision 6ead69e0 - 04/16/2018 08:49 AM - Patrick Plitzner

ref #7095 Remove unused specimen generator class

Revision fb4c53d2 - 04/16/2018 09:18 AM - Patrick Plitzner
ref #7095 Added more paths to property path loading

® removed deproxying in some cases

Revision 6e4d44c5 - 04/16/2018 10:29 AM - Patrick Plitzner
ref #7095 Fix imported libraries

Revision 4f6b8e6e - 04/16/2018 04:10 PM - Patrick Plitzner

ref #7095 Adding monitor information for description loading job

Revision d01cd7ac - 04/16/2018 04:10 PM - Patrick Plitzner
ref #7095 Fix WS property path
Revision b9c¢c29d7a - 04/16/2018 04:10 PM - Patrick Plitzner

ref #7095 Fix monitor information for description loading job

Revision 6d1cd5a2 - 04/16/2018 04:10 PM - Patrick Plitzner

ref #7095 Add cancel option for specimen description loading

Revision fad21775 - 04/17/2018 02:55 PM - Patrick Plitzner

ref #7095 Move specimen and description loading to service layer

Revision £5f64287 - 04/17/2018 03:02 PM - Patrick Plitzner

ref #7095 Move specimen and description loading to service layer

Revision f852bff0 - 04/18/2018 06:33 AM - Patrick Plitzner

ref #7095 Add progress monitor to working set service (unstable)

Revision 7710d1ab - 04/18/2018 06:33 AM - Patrick Plitzner

ref #7095 Add progress monitor to working set service (unstable)

Revision 07968816 - 04/18/2018 06:43 AM - Patrick Plitzner

ref #7095 re-enable multi select in specimen selection dialog

Revision 6dfca4b2 - 04/18/2018 09:08 AM - Patrick Plitzner
ref #7095 Load description remotely

Revision 42002c0a - 04/18/2018 09:10 AM - Patrick Plitzner
ref #7095 Add property paths to some methods

Revision b8412039 - 04/18/2018 10:26 AM - Patrick Plitzner
ref #7095 Fix NPE in specimen selection dialog

Revision 921ff608 - 04/18/2018 04:08 PM - Patrick Plitzner
ref #7095 Correctly save RowWrapperDTO

Revision fdc04187 - 04/18/2018 05:56 PM - Patrick Plitzner

ref #7095 Re-load specimen description to avoid multi rep exception

Revision 577e8a82 - 04/23/2018 07:54 AM - Patrick Plitzner

ref #7095 Speed up specimen loading for working sets

Revision 84881b9c - 04/23/2018 07:54 AM - Patrick Plitzner
ref #7095 Fix specimen filter

Revision 5e62e156 - 04/23/2018 07:55 AM - Patrick Plitzner
ref #7095 Speed up specimen loading

Revision ce91a115 - 04/23/2018 07:55 AM - Patrick Plitzner

ref #7095 Add dao method for individually associated specimens

Revision 79¢29018 - 04/23/2018 07:58 AM - Patrick Plitzner
ref #7095 Add dao method for listing UuidAndTitleCache object

Revision d221f578 - 04/23/2018 07:58 AM - Patrick Plitzner

ref #7095 Speed up specimen loading for working sets

Revision edfed701 - 04/24/2018 06:12 PM - Patrick Plitzner

ref #7095 Implement quicker service for taxon associated specimens

03/20/2024

911



Revision 97107e7d - 04/24/2018 06:15 PM - Patrick Plitzner

ref #7095 Filter specimens to show in selection dialog

Revision cad652ea - 04/24/2018 06:15 PM - Patrick Plitzner

ref #7095 Show specimen id for specimen rows

Revision 708621df - 04/24/2018 06:15 PM - Patrick Plitzner

ref #7095 Fix exception when deleting a row in the matrix

Revision 2a774ada - 04/24/2018 06:15 PM - Patrick Plitzner
ref #7095 Adapt to cdmlib changes

Revision 7426d467 - 04/25/2018 02:44 PM - Patrick Plitzner

ref #7095 Enhance quicker service for taxon associated specimens

Revision 16621f1f - 04/25/2018 03:10 PM - Patrick Plitzner
ref #7095 Fix label for list view

Revision d9b27602 - 04/25/2018 05:17 PM - Patrick Plitzner
ref #7095 Retrieve only distinct SpecimenNodeWrapper objects

Revision b27b3345 - 04/25/2018 05:23 PM - Patrick Plitzner
ref #7095 Code clean up and refactoring

Revision e0f895eb - 04/27/2018 11:57 AM - Patrick Plitzner

ref #7095 Add empty desc elements when adding a new specimen

Revision 41af91b8 - 04/27/2018 11:57 AM - Patrick Plitzner
ref #7095 Fix imports

Revision 31782a30 - 05/04/2018 08:55 AM - Patrick Plitzner

ref #7095 Fix layer initialisation when toggling list and tree view

Revision 39¢c51fd5 - 05/14/2018 12:51 PM - Patrick Plitzner
ref #7095, #7086 Fix session initialization

History

#1 - 11/27/2017 11:47 AM - Patrick Plitzner

- Tracker changed from bug to feature request

#2 - 11/30/2017 05:09 PM - Patrick Plitzner

- Has duplicate feature request #7090: Implement matrix editor added

#3 - 01/11/2018 02:45 PM - Patrick Plitzner

- Related to feature request #7165: Extend TaxonNodeFilter with rank filtering added

#4 - 01/11/2018 02:48 PM - Patrick Plitzner

- Related to feature request #7166: Implement area filter for TaxonNodeFilter added

#5 - 02/07/2018 10:29 AM - Patrick Plitzner

- Status changed from New to Closed

- Target version changed from Unassigned CDM tickets to Release 4.13

Closing this ticket because the character matrix has been released

#6 - 05/18/2018 09:30 AM - Andreas Mdiller
- Related to feature request #7193: Implement area filter and rank filter in TaxEditor for exports added
